From 09371dc6f547fdc76eae62a829a1be890180a8dc Mon Sep 17 00:00:00 2001
From: Dave Cooper <david.cooper@genworks.com>
Date: Thu, 20 Feb 2014 15:07:32 -0500
Subject: [PATCH] Adds variables to customize temporary directory in Allegro

---
 swank-allegro.lisp | 15 ++++++++++++++-
 1 file changed, 14 insertions(+), 1 deletion(-)

diff --git a/swank-allegro.lisp b/swank-allegro.lisp
index af20e90..b349e6a 100644
--- a/swank-allegro.lisp
+++ b/swank-allegro.lisp
@@ -10,6 +10,17 @@
 
 (in-package :swank-backend)
 
+;;
+;; FLAG -- Consider whether these should be made generic (i.e. not allegro-specific). 
+;; FLAG -- Consider whether these should be exported. 
+;;
+(defparameter *allegro-temp-file-prefix* "")
+(defparameter *allegro-temp-file-directory-function* #'system:temporary-directory)
+(defparameter *allegro-temp-file-directory* nil)
+;;
+;;
+;;
+
 (eval-when (:compile-toplevel :load-toplevel :execute)
   (require :sock)
   (require :process)
@@ -457,7 +468,9 @@
     (reader-error () (values nil nil t))))
 
 (defun call-with-temp-file (fn)
-  (let ((tmpname (system:make-temp-file-name)))
+  (let ((tmpname (system:make-temp-file-name *allegro-temp-file-prefix* 
+                                             (or *allegro-temp-file-directory*
+                                                 (funcall *allegro-temp-file-directory-function*)))))
     (unwind-protect
          (with-open-file (file tmpname :direction :output :if-exists :error)
            (funcall fn file tmpname))
-- 
1.8.3.4 (Apple Git-47)

